<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            allPopups="false"
            locationURI="popup:org.eclipse.ui.popup.any?after=additions">
         <command
               commandId="org.etsi.mts.tdl.execution.java.RenderModel"
               style="push">
            <visibleWhen
                  checkEnabled="false">
               <with
                     variable="selection">
                  <iterate>
                     <adapt
                           type="org.eclipse.core.resources.IFile">
                     </adapt>
                  </iterate>
               </with>
            </visibleWhen>
         </command>
      </menuContribution>
   </extension>
   <extension
         point="org.eclipse.ui.commands">
      <command
            defaultHandler="org.etsi.mts.tdl.execution.java.eclipse.commands.RenderHandler"
            id="org.etsi.mts.tdl.execution.java.RenderModel"
            name="Render JUnit">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.propertyPages">
      <page
            category="org.etsi.mts.tdl.projectPropertyPage"
            class="org.etsi.mts.tdl.execution.java.eclipse.ui.PropertyPage"
            id="org.etsi.mts.tdl.execution.java.propertyPage"
            name="JUnit Rendering"
            objectClass="org.eclipse.core.resources.IProject">
      </page>
   </extension>

</plugin>
